<template>
  <q-expansion-item
    expand-separator
  >
    <template v-slot:header>
      <q-item class="GNL__drawer-item q-px-none full-width"   v-ripple clickable>
        <q-item-section avatar>
          <q-icon name="settings"/>
        </q-item-section>
        <q-item-section>
          <q-item-label>Setting</q-item-label>
        </q-item-section>
      </q-item>
    </template>
    <q-list class="bg-white text-black">
      <q-item class="GNL__drawer-item q-pl-lg"  active-class="is-active"   to="/role" v-ripple clickable>
        <q-item-section avatar>
          <q-icon name="manage_accounts"/>
        </q-item-section>
        <q-item-section>
          <q-item-label>Role</q-item-label>
        </q-item-section>
      </q-item>

      <q-item class="GNL__drawer-item q-pl-lg"  active-class="is-active"   to="/provider" v-ripple clickable>
        <q-item-section avatar>
          <q-icon name="view_headline"/>
        </q-item-section>
        <q-item-section>
          <q-item-label>Provider</q-item-label>
        </q-item-section>
      </q-item>
      <q-item class="GNL__drawer-item q-pl-lg"  active-class="is-active"   to="/type" v-ripple clickable>
        <q-item-section avatar>
          <q-icon name="view_headline"/>
        </q-item-section>
        <q-item-section>
          <q-item-label>Type</q-item-label>
        </q-item-section>
      </q-item>
    </q-list>
  </q-expansion-item>
</template>

<script>
export default {
  name: 'settingSideMenu',
  data () {
    return {}
  }
}
</script>
